"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setPreFetchTimer = void 0;
var preFetchToken_1 = require("./preFetchToken");
var state_1 = require("../state");
var setPreFetchTimer = function (token) {
    var refreshBuffer = (0, state_1.getState)().options.refreshBuffer;
    var access_token = token.access_token, expires_in = token.expires_in;
    var refreshPeriod = (expires_in - refreshBuffer) * 1000;
    setTimeout(preFetchToken_1.preFetchToken, refreshPeriod, access_token);
};
exports.setPreFetchTimer = setPreFetchTimer;
